Hola, uso un Dell Latitude 6230 que he actualizado a W10

He instalado todos los drivers del equipo sin problema excepto el siguiente:

Dell Wireless 5630 (EVDO-HSPA) Mobile Broadband Mini Card

Tras investigar por los foros, parece que el problema es el firmware del modem, que no es reconocible por el driver de W10. Cuando trato de instalarlo me dice que no hay un dispositivo compatible conectado. Sin embargo si que me aparece en otros dispositivos en el administrador de tareas con el signo de admiración de conflicto. 

Tras googlear un rato encontre a un tipo que dice que la herramienta de actualización de firmware si que funciona en W7 y W8, y que una vez se actualice el firmware, el driver de W10 si que lo reconoce. 

¿Alguien más tiene una experiencia similar? No es sencillo hacer el downgrade a W7 para probar esta solución. 

¿No podría Dell actualizar la herramienta de actualización del firmware para poder hacer esta operación en W10?

He probado varios drivers y no encuentro solución. Necesito de la operatividad 3G por trabajo.

Un saludo y gracias, cualquier respuesta será bienvenida.